// 活动模块

import {httpGet,httpPost} from "@/utils/request.js"

/**
 * 活动列表
 * @param {active_state} 活动状态 1-未开始 2-进行中 3-已结束
 * @param {activity_type} 活动类型 1-线上会议 3-线下沙龙
 * @param page
 * @param limit
 */
export const apiActivityList=params=>{
    return httpGet('/activity/getPageList',params)
}