Component({
  data: {
    selected: 'pages/buy/buy',
    color: "#1F243A",
    selectedColor: "#E3B377",
    list: [
      {
        pagePath: "pages/buy/buy",
        text: "已购",
        iconPath: "../static/tabbar/buy.png",
        selectedIconPath: "../static/tabbar/buy-s.png",
        hidden: false,
      },
      {
        pagePath: "pages/report/report",
        text: "报告",
        iconPath: "../static/tabbar/report.png",
        selectedIconPath: "../static/tabbar/report-s.png",
        hidden: false,
      },
      {
        pagePath: "pages/chart/chart",
        text: "图库",
        iconPath: "../static/tabbar/chart.png",
        selectedIconPath: "../static/tabbar/chart-s.png",
        hidden: false,
      },
      {
        pagePath: "pages/activity/activity",
        text: "活动",
        iconPath: "../static/tabbar/activity.png",
        selectedIconPath: "../static/tabbar/activity-s.png",
        hidden: false,
      },
      {
        pagePath: "pages/user/user",
        text: "我的",
        iconPath: "../static/tabbar/user.png",
        selectedIconPath: "../static/tabbar/user-s.png",
        hidden: false,
      },
    ],
  },
  attached() {},
  methods: {
    switchTab(e) {
      const data = e.currentTarget.dataset;
      const url = "/" + data.path;
      wx.switchTab({ url });
      // this.setData({
      //   selected: data.text,
      // });
    },
  },
});
